package com.pcsilva.adc.article1.mxml.entity
{
	[Bindable]
	// pointing to an entity in ColdFusion
	[RemoteClass(alias='com.pcsilva.adc.article1.cfml.entity.User')]
	// declare entity
	[Entity] 
	public class User extends Base
	{
		[Id] //statement identifier
		public var id:Number = 0; // NaN is not going to ColdFusion
 		public var name:String;
		public var lastname:String;
		public var email:String;
		
		// statement of relationship
		[ManyToOne(type="com.pcsilva.adc.article1.cfml.entity.Group")]
		// start property for use in getter groupname
 		public var group:Group = new Group();


		[Transient] //add property read-only, which is not reflected in ColdFusion
		public function get fullname():String
		{
			return name+' '+lastname;
		}
		
		[Transient] //add property read-only,  simplifies access the property
		public function get groupname():String
		{
			return group.name;
		}
		
	}
}