component output="false"  {

	import com.pcsilva.adc.article1.cfml.entity.User;
	import com.pcsilva.adc.article1.cfml.entity.Group;
	import com.pcsilva.adc.article1.cfml.dao.UserDAO;
	import com.pcsilva.adc.article1.cfml.dao.GroupDAO;

	userDAO = new UserDAO();
	groupDAO = new GroupDAO();

	/*
	* User opertators
	*/
	remote User function saveUser(User user)
	{ 
		return userDAO.Save(user);
	}
	remote void function deleteUser(numeric ID)
	{
		return userDAO.DeleteUser(ID);
	}
	remote Array function getUsers()
	{
		return userDAO.GetAllUser();
	}
	remote Array function getUsers_paged(numeric startIndex, numeric numItems)
	{
		return userDAO.GetUsers_paged(startIndex,numItems);
	}
	remote User function getUser(numeric ID)
	{ 
		return userDAO.GetUser(ID);
	}	
	remote Array function getUsersByGroup(Group group)
	{ 
              //return userDAO.GetUsersByGroup(group);

              //this must be done in userDAO.GetUsersByGroup
              var foreignKeysMap = { group = group };
              return entityload("User",foreignKeysMap);
	}
	remote numeric function countUser()
	{ 
		return userDAO.Count();
	}

	/*
	* Group opertators
	*/
	remote Group function saveGroup(Group group)
	{
		return groupDAO.save(group);
	}
	remote void function deleteGroup(numeric ID)
	{
		return groupDAO.DeleteGroup(ID);
	}
	remote Array function getGroups()
	{
		return groupDAO.GetAllGroup();
	}
	remote Array function getGroups_paged(numeric startIndex, numeric numItems)
	{
		return groupDAO.GetGroups_paged(startIndex,numItems);
	}
	remote Group function getGroup(numeric ID)
	{ 
		return groupDAO.GetGroup(ID);
	}	
	remote numeric function countGroup()
	{ 
		return groupDAO.Count();
	}
}