CREATE DATABASE `user_manager`;

USE `user_manager`;

CREATE TABLE user_manager.group (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB;

INSERT INTO user_manager.group VALUES (1,'Family'),(2,'Sport'),(3,'Friends');

USE `user_manager`;

CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) default NULL,
  `lastname` varchar(80) default NULL,
  `email` varchar(100) default NULL,
  `group_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK285FEB240F6D5A` (`group_id`),
  CONSTRAINT `FK36EBCB240F6D5A` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`)
) ENGINE=InnoDB;

INSERT INTO `user` VALUES (1,'Pedro','Claudio','pcsilva@gmail.com',1);
